<?php
/**
 * Multipurpose Lawyer Theme Customizer
 * @package Multipurpose Lawyer
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

function multipurpose_lawyer_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'multipurpose_lawyer_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'multipurpose-lawyer' ),
	    'description' => __( 'Description of what this panel does.', 'multipurpose-lawyer' ),
	) );

	// font array
	$font_array = array(
        '' => 'No Fonts',
        'Abril Fatface' => 'Abril Fatface',
        'Acme' => 'Acme',
        'Anton' => 'Anton',
        'Architects Daughter' => 'Architects Daughter',
        'Arimo' => 'Arimo',
        'Arsenal' => 'Arsenal', 
        'Arvo' => 'Arvo',
        'Alegreya' => 'Alegreya',
        'Alfa Slab One' => 'Alfa Slab One',
        'Averia Serif Libre' => 'Averia Serif Libre',
        'Bangers' => 'Bangers', 
        'Boogaloo' => 'Boogaloo',
        'Bad Script' => 'Bad Script',
        'Bitter' => 'Bitter',
        'Bree Serif' => 'Bree Serif',
        'BenchNine' => 'BenchNine', 
        'Cabin' => 'Cabin', 
        'Cardo' => 'Cardo',
        'Courgette' => 'Courgette',
        'Cherry Swash' => 'Cherry Swash',
        'Cormorant Garamond' => 'Cormorant Garamond',
        'Crimson Text' => 'Crimson Text',
        'Cuprum' => 'Cuprum', 
        'Cookie' => 'Cookie', 
        'Chewy' => 'Chewy', 
        'Days One' => 'Days One', 
        'Dosis' => 'Dosis',
        'Droid Sans' => 'Droid Sans',
        'Economica' => 'Economica',
        'Fredoka One' => 'Fredoka One',
        'Fjalla One' => 'Fjalla One',
        'Francois One' => 'Francois One',
        'Frank Ruhl Libre' => 'Frank Ruhl Libre',
        'Gloria Hallelujah' => 'Gloria Hallelujah',
        'Great Vibes' => 'Great Vibes',
        'Handlee' => 'Handlee', 
        'Hammersmith One' => 'Hammersmith One',
        'Inconsolata' => 'Inconsolata', 
        'Indie Flower' => 'Indie Flower', 
        'IM Fell English SC' => 'IM Fell English SC', 
        'Julius Sans One' => 'Julius Sans One',
        'Josefin Slab' => 'Josefin Slab', 
        'Josefin Sans' => 'Josefin Sans', 
        'Kanit' => 'Kanit', 
        'Lobster' => 'Lobster', 
        'Lato' => 'Lato',
        'Lora' => 'Lora', 
        'Libre Baskerville' =>'Libre Baskerville',
        'Lobster Two' => 'Lobster Two',
        'Merriweather' =>'Merriweather', 
        'Monda' => 'Monda',
        'Montserrat' => 'Montserrat',
        'Muli' => 'Muli', 
        'Marck Script' => 'Marck Script',
        'Noto Serif' => 'Noto Serif',
        'Open Sans' => 'Open Sans', 
        'Overpass' => 'Overpass',
        'Overpass Mono' => 'Overpass Mono',
        'Oxygen' => 'Oxygen', 
        'Orbitron' => 'Orbitron', 
        'Patua One' => 'Patua One', 
        'Pacifico' => 'Pacifico',
        'Padauk' => 'Padauk', 
        'Playball' => 'Playball',
        'Playfair Display' => 'Playfair Display', 
        'PT Sans' => 'PT Sans',
        'Philosopher' => 'Philosopher',
        'Permanent Marker' => 'Permanent Marker',
        'Poiret One' => 'Poiret One', 
        'Quicksand' => 'Quicksand', 
        'Quattrocento Sans' => 'Quattrocento Sans', 
        'Raleway' => 'Raleway', 
        'Rubik' => 'Rubik', 
        'Rokkitt' => 'Rokkitt', 
        'Russo One' => 'Russo One', 
        'Righteous' => 'Righteous', 
        'Slabo' => 'Slabo', 
        'Source Sans Pro' => 'Source Sans Pro', 
        'Shadows Into Light Two' =>'Shadows Into Light Two', 
        'Shadows Into Light' => 'Shadows Into Light', 
        'Sacramento' => 'Sacramento', 
        'Shrikhand' => 'Shrikhand', 
        'Tangerine' => 'Tangerine',
        'Ubuntu' => 'Ubuntu', 
        'VT323' => 'VT323', 
        'Varela Round' => 'Varela Round', 
        'Vampiro One' => 'Vampiro One',
        'Vollkorn' => 'Vollkorn',
        'Volkhov' => 'Volkhov', 
        'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    );

	//Typography
	$wp_customize->add_section( 'multipurpose_lawyer_typography', array(
    	'title'      => __( 'Typography', 'multipurpose-lawyer' ),
		'priority'   => 30,
		'panel' => 'multipurpose_lawyer_panel_id'
	) );
	
	// This is Paragraph Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_paragraph_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_paragraph_color', array(
		'label' => __('Paragraph Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_paragraph_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_paragraph_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( 'Paragraph Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting('multipurpose_lawyer_paragraph_font_size',array(
		'default'	=> '12px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_lawyer_paragraph_font_size',array(
		'label'	=> __('Paragraph Font Size','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_typography',
		'setting'	=> 'multipurpose_lawyer_paragraph_font_size',
		'type'	=> 'text'
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_atag_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_atag_color', array(
		'label' => __('"a" Tag Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_atag_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_atag_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( '"a" Tag Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_li_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_li_color', array(
		'label' => __('"li" Tag Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_li_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_li_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( '"li" Tag Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_h1_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_h1_color', array(
		'label' => __('H1 Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_h1_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_h1_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( 'H1 Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('multipurpose_lawyer_h1_font_size',array(
		'default'	=> '50px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_lawyer_h1_font_size',array(
		'label'	=> __('H1 Font Size','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_typography',
		'setting'	=> 'multipurpose_lawyer_h1_font_size',
		'type'	=> 'text'
	));

	// This is H2 Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_h2_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_h2_color', array(
		'label' => __('h2 Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_h2_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_h2_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( 'h2 Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('multipurpose_lawyer_h2_font_size',array(
		'default'	=> '45px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_lawyer_h2_font_size',array(
		'label'	=> __('h2 Font Size','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_typography',
		'setting'	=> 'multipurpose_lawyer_h2_font_size',
		'type'	=> 'text'
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_h3_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_h3_color', array(
		'label' => __('h3 Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_h3_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_h3_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( 'h3 Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('multipurpose_lawyer_h3_font_size',array(
		'default'	=> '36px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_lawyer_h3_font_size',array(
		'label'	=> __('h3 Font Size','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_typography',
		'setting'	=> 'multipurpose_lawyer_h3_font_size',
		'type'	=> 'text'
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_h4_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_h4_color', array(
		'label' => __('h4 Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_h4_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_h4_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( 'h4 Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('multipurpose_lawyer_h4_font_size',array(
		'default'	=> '30px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_lawyer_h4_font_size',array(
		'label'	=> __('h4 Font Size','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_typography',
		'setting'	=> 'multipurpose_lawyer_h4_font_size',
		'type'	=> 'text'
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_h5_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_h5_color', array(
		'label' => __('h5 Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_h5_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_h5_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( 'h5 Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('multipurpose_lawyer_h5_font_size',array(
		'default'	=> '25px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_lawyer_h5_font_size',array(
		'label'	=> __('h5 Font Size','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_typography',
		'setting'	=> 'multipurpose_lawyer_h5_font_size',
		'type'	=> 'text'
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting( 'multipurpose_lawyer_h6_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_lawyer_h6_color', array(
		'label' => __('h6 Color', 'multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_typography',
		'settings' => 'multipurpose_lawyer_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_lawyer_h6_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_lawyer_h6_font_family', array(
	    'section'  => 'multipurpose_lawyer_typography',
	    'label'    => __( 'h6 Fonts','multipurpose-lawyer'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('multipurpose_lawyer_h6_font_size',array(
		'default'	=> '18px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_lawyer_h6_font_size',array(
		'label'	=> __('h6 Font Size','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_typography',
		'setting'	=> 'multipurpose_lawyer_h6_font_size',
		'type'	=> 'text'
	));

	//layout setting
	$wp_customize->add_section( 'multipurpose_lawyer_theme_layout', array(
    	'title'      => __( 'Layout Settings', 'multipurpose-lawyer' ),    	
    	'description'	=> __('Here you can select the blog sidebar layout.','multipurpose-lawyer'),
		'priority'   => null,
		'panel' => 'multipurpose_lawyer_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('multipurpose_lawyer_layout',array(
        'default' => __( 'Right Sidebar', 'multipurpose-lawyer' ),
        'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices'
	) );
	$wp_customize->add_control(new multipurpose_lawyer_Image_Radio_Control($wp_customize, 'multipurpose_lawyer_layout', array(
        'type' => 'radio',
        'label' => esc_html__('Select Sidebar layout', 'multipurpose-lawyer'),
        'section' => 'multipurpose_lawyer_theme_layout',
        'settings' => 'multipurpose_lawyer_layout',
        'choices' => array(
            'Right Sidebar' => get_template_directory_uri() . '/images/layout3.png',
            'Left Sidebar' => get_template_directory_uri() . '/images/layout2.png',
            'One Column' => get_template_directory_uri() . '/images/layout1.png',
            'Three Columns' => get_template_directory_uri() . '/images/layout4.png',
            'Four Columns' => get_template_directory_uri() . '/images/layout5.png',
            'Grid Layout' => get_template_directory_uri() . '/images/layout6.png'
   	))));

	//Topbar section
	$wp_customize->add_section('multipurpose_lawyer_topbar_icon',array(
		'title'	=> __('Topbar Section','multipurpose-lawyer'),
		'description'	=> __('Add Header Content here','multipurpose-lawyer'),
		'priority'	=> null,
		'panel' => 'multipurpose_lawyer_panel_id',
	));

	$wp_customize->add_setting('multipurpose_lawyer_welcome_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_lawyer_welcome_text',array(
		'label'	=> __('Add Welcome Text','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_topbar_icon',
		'setting'	=> 'multipurpose_lawyer_welcome_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_lawyer_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_lawyer_email',array(
		'label'	=> __('Add Email Address','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_topbar_icon',
		'setting'	=> 'multipurpose_lawyer_email',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_lawyer_request_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_lawyer_request_text',array(
		'label'	=> __('Add Request Text','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_topbar_icon',
		'setting'	=> 'multipurpose_lawyer_request_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_lawyer_request_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_lawyer_request_link',array(
		'label'	=> __('Add Request Link','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_topbar_icon',
		'setting'	=> 'multipurpose_lawyer_request_link',
		'type'		=> 'url'
	));

	//Slider section
  	$wp_customize->add_section('multipurpose_lawyer_slidersettings',array(
	    'title' => __('Slider Section','multipurpose-lawyer'),
	    'description' => '',
	    'priority'  => null,
	    'panel' => 'multipurpose_lawyer_panel_id',
	)); 

	$wp_customize->add_setting('multipurpose_lawyer_slider_hide_show',array(
	  'default' => 'false',
	  'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multipurpose_lawyer_slider_hide_show',array(
	  'type' => 'checkbox',
	  'label' => __('Show / Hide slider','multipurpose-lawyer'),
	  'section' => 'multipurpose_lawyer_slidersettings',
	));

	for ( $count = 1; $count <= 4; $count++ ) {
		// Add color scheme setting and control.
		$wp_customize->add_setting( 'multipurpose_lawyer_slidersettings_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'multipurpose_lawyer_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'multipurpose_lawyer_slidersettings_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'multipurpose-lawyer' ),
			'section'  => 'multipurpose_lawyer_slidersettings',
			'type'     => 'dropdown-pages'
		) );
	}

	//Practice Section
	$wp_customize->add_section('multipurpose_lawyer_practice',array(
		'title'	=> __('Practice Section','multipurpose-lawyer'),
		'description'	=> __('Add Practice sections below.','multipurpose-lawyer'),
		'panel' => 'multipurpose_lawyer_panel_id',
	));

	$post_list = get_posts();
	$i = 0;
	$pst[]='Select';  
	foreach($post_list as $post){
	$pst[$post->post_title] = $post->post_title;
	}

	$wp_customize->add_setting('multipurpose_lawyer_practice_setting',array(
		'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices',
	));
	$wp_customize->add_control('multipurpose_lawyer_practice_setting',array(
		'type'    => 'select',
		'choices' => $pst,
		'label' => __('Select post','multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_practice',
	));

	$wp_customize->add_setting('multipurpose_lawyer_phone_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_lawyer_phone_text',array(
		'label'	=> __('Add Call Text','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_practice',
		'setting'	=> 'multipurpose_lawyer_phone_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_lawyer_phone_no',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_lawyer_phone_no',array(
		'label'	=> __('Add Phone No.','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_practice',
		'setting'	=> 'multipurpose_lawyer_phone_no',
		'type'		=> 'text'
	));

	//About Section
	$wp_customize->add_section('multipurpose_lawyer_about',array(
		'title'	=> __('About Section','multipurpose-lawyer'),
		'description'	=> __('Add About sections below.','multipurpose-lawyer'),
		'panel' => 'multipurpose_lawyer_panel_id',
	));

	$post_list = get_posts();
	$i = 0;
	$pst[]='Select';  
	foreach($post_list as $post){
	$pst[$post->post_title] = $post->post_title;
	}

	$wp_customize->add_setting('multipurpose_lawyer_about_setting',array(
		'sanitize_callback' => 'multipurpose_lawyer_sanitize_choices',
	));
	$wp_customize->add_control('multipurpose_lawyer_about_setting',array(
		'type'    => 'select',
		'choices' => $pst,
		'label' => __('Select post','multipurpose-lawyer'),
		'section' => 'multipurpose_lawyer_about',
	));

	//footer text
	$wp_customize->add_section('multipurpose_lawyer_footer_section',array(
		'title'	=> __('Footer Text','multipurpose-lawyer'),
		'description'	=> __('Add some text for footer like copyright etc.','multipurpose-lawyer'),
		'panel' => 'multipurpose_lawyer_panel_id'
	));
	
	$wp_customize->add_setting('multipurpose_lawyer_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_lawyer_text',array(
		'label'	=> __('Copyright Text','multipurpose-lawyer'),
		'section'	=> 'multipurpose_lawyer_footer_section',
		'type'		=> 'text'
	));	
}
add_action( 'customize_register', 'multipurpose_lawyer_customize_register' );	

load_template( ABSPATH . 'wp-includes/class-wp-customize-control.php' );

class Multipurpose_Lawyer_Image_Radio_Control extends WP_Customize_Control {

    public function render_content() {
 
        if (empty($this->choices))
            return;
 
        $name = '_customize-radio-' . $this->id;
        ?>
        <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
        <ul class="controls" id='multipurpose-lawyer-img-container'>
            <?php
            foreach ($this->choices as $value => $label) :
                $class = ($this->value() == $value) ? 'multipurpose-lawyer-radio-img-selected multipurpose-lawyer-radio-img-img' : 'multipurpose-lawyer-radio-img-img';
                ?>
                <li style="display: inline;">
                    <label>
                        <input <?php $this->link(); ?>style = 'display:none' type="radio" value="<?php echo esc_attr($value); ?>" name="<?php echo esc_attr($name); ?>" <?php
                          	$this->link();
                          	checked($this->value(), $value);
                          	?> />
                        <img role="img" src='<?php echo esc_url($label); ?>' class='<?php echo esc_attr($class); ?>' />
                    </label>
                </li>
                <?php
            endforeach;
            ?>
        </ul>
        <?php
    } 
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Multipurpose_Lawyer_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Multipurpose_Lawyer_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Multipurpose_Lawyer_Customize_Section_Pro(
			$manager,
			'example_1',
				array(
				'priority'   => 9,
				'title'    => esc_html__( 'Multipurpose Lawyer Pro', 'multipurpose-lawyer' ),
				'pro_text' => esc_html__( 'Go Pro', 'multipurpose-lawyer' ),
				'pro_url'  => esc_url('https://www.themesglance.com/themes/lawyer-wordpress-theme/')					
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'multipurpose-lawyer-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'multipurpose-lawyer-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}
}

// Doing this customizer thang!

Multipurpose_Lawyer_Customize::get_instance();